/*
*	© Copyright 2014, Group 4, ECE 492
*
*	This code was created through the collaboration
*	of Alix Krahn, Denis Lachance and Adam Thomson. 
*
*	This library takes in centroid objects and
*	tracks them as fingers. This way we can keep
*	track of which new centroid corresponds to
*	which finger. Tracks up to 10 fingers
*
*	type make to build, ./dsp to run
*	This was developed on Ubuntu 13.10
*/
#ifndef _FINGER_H_
#define _FINGER_H_

#include <stdio.h>
#include <stdlib.h>

//for centroid definitions
#include "dsp.h"

#define FINGER_SIZE		10		//number of fingers tracked
#define SKIP_THRESH		2		//max number of frames before finger is dumped
#define DIST_THRESH		10		//maximum jitter for new points to be related to old points

void ft_clear_fingers();
void ft_input_centroids(struct Centroid *cents, int len);
struct Centroid ft_get_finger(int index);

#endif